%bcond_without check
%global debug_package %{nil}

%global crate bzip2-sys
%global upstream_version 0.1.11+1.0.8

Name:           rust-bzip2-sys
Version:        0.1.11
Release:        %mkrel 1
Summary:        Bindings to libbzip2 for bzip2 exposed as Reader/Writer streams
Group:			File tools
# Upstream license specification: MIT/Apache-2.0
License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/bzip2-sys
Source:         %{crates_source %{crate} %{upstream_version}}
# Manually created patch for downstream crate metadata changes
# * remove bzip2 version suffix
Patch:          bzip2-sys-fix-metadata.diff
BuildRequires:  cargo-rpm-macros >= 21
BuildRequires:  crate(cc/default) >= 1.0.0
BuildRequires:  crate(libc/default) >= 0.2.0
BuildRequires:  crate(pkg-config/default) >= 0.3.9

%global _description %{expand:
Bindings to libbzip2 for bzip2 compression and decompression exposed as
Reader/Writer streams.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(bzip2)

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license LICENSE-APACHE
%license LICENSE-MIT
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{upstream_version} -p1
# remove bundled bzip2 sources
rm -rv bzip2-1.0.8/
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires
echo 'pkgconfig(bzip2)'

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif
